# TODO: gsiftp support?
Summary:	CFITSIO Interface Library
Summary(pl.UTF-8):	Biblioteka interfejsu CFITSIO
Name:		cfitsio
Version:	3.450
%define	sver	%(echo %{version} | tr -d .)
Release:	1
License:	MIT-like
Group:		Libraries
Source0:	https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/%{name}%{sver}.tar.gz
# Source0-md5:	f470849bb43561d9a9b1925eeb7f7f0d
Patch0:		%{name}-zlib.patch
Patch1:		%{name}-ldflags.patch
URL:		https://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
BuildRequires:	autoconf
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	gcc-g77
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CFITSIO is a library of ANSI C routines for reading and writing FITS
format data files.  A set of Fortran-callable wrapper routines are
also included for the convenience of Fortran programmers.

%description -l pl.UTF-8
CFITSIO to biblioteka funkcji w C do odczytu i zapisu plików z danymi
w formacie FITS. Zawiera także zestaw wrapperów pozwalających na
wywoływanie tych funkcji z programów w Fortranie.

%package devel
Summary:	Header files and documentation for CFITSIO
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do CFITSIO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
Header files and development documentation for CFITSIO.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do CFITSIO.

%package static
Summary:	Static CFITSIO library
Summary(pl.UTF-8):	Statyczna biblioteka CFITSIO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CFITSIO library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki CFITSIO.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

# enforce headers from system zlib
%{__rm} zlib/{crc32.h,deflate.h,inffast.h,inffixed.h,inflate.h,inftrees.h,zconf.h,zlib.h,zutil.h}

%build
%{__autoconf}
%configure \
	--with-bzip2

%{__make} shared

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

%{__make} install \
	CFITSIO_LIB=$RPM_BUILD_ROOT%{_libdir} \
	CFITSIO_INCLUDE=$RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc License.txt README docs/changes.txt
%attr(755,root,root) %{_libdir}/libcfitsio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcfitsio.so.7

%files devel
%defattr(644,root,root,755)
%doc docs/{cfortran.doc,cfitsio.ps,fitsio.doc,fitsio.ps,quick.ps}
%attr(755,root,root) %{_libdir}/libcfitsio.so
%{_includedir}/drvrsmem.h
%{_includedir}/fitsio*.h
%{_includedir}/longnam.h
%{_pkgconfigdir}/cfitsio.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcfitsio.a
%changelog
* Mon Feb 25 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/cfitsio.git;a=log;h=master

* Wed Dec 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 2c1b67f
- updated to 3.450 (security fixes, new soname)
- added ldflags patch (for as-needed to work)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fa5c03d
- release 2 (by relup.sh)

* Sat Dec 09 2017 Jakub Bogusz <qboosh@pld-linux.org> ca4212b
- updated to 3.420

* Sat Feb 25 2017 Jakub Bogusz <qboosh@pld-linux.org> ab13caa
- updated to 3.410

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 5fd3aa6
- updated to 3.390 (note: new soname)

* Thu Mar 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 98b0ada
- updated to 3.380 (note: new soname)
- updated zlib patch
- removed obsolete ldflags patch

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 782c5ca
- x32 rebuild
- release 2 (by relup.sh)

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dcd70c
- updated to 3.370 (note: soname changed)
- updated zlib patch
- removed obsolete link patch

* Mon Aug 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 385681f
- updated to 3.280
- gzip code has been removed, so removed obsolete compress patch and GPL is no longer enforced
- added zlib patch to use system zlib instead of internal copy

* Sun Jun 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 8077b94
- updated to 3.250

* Mon Feb 08 2010 Kacper Kornet <draenog@pld-linux.org> cd1b3a7
- updated for 3.240

* Sun Feb 07 2010 Kacper Kornet <draenog@pld-linux.org> fdfceee
- up to 3.240
- link and compress patches

* Sun Feb 07 2010 Kacper Kornet <draenog@pld-linux.org> a02e987
- function longest_match should be private (function with the same name
  is provided by zlib)

* Sun Feb 07 2010 Kacper Kornet <draenog@pld-linux.org> a1a0fc3
- use PLD ldflags

* Wed Apr 22 2009 Jakub Bogusz <qboosh@pld-linux.org> 0d593e7
- updated to 3.140

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 237681d
- release 2

* Wed Jun 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 66b22f6
- updated to 3.080

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a4e3e4a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4db5004
- converted to UTF-8

* Mon Dec 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 4f5b9cc
- added link patch, release 2

